// -*- C++ -*-
//
// Uglast.cc
// User routine for GEANT termination
//
// Author:  Mitsuhiro YAMAGA (yamaga@post.kek.jp)
// Created: Thu Jul 12 15:34:41 JST 2001
//
// $Id$
//
// Revision History
//
// $Log$
//

#include "ccfortran/ccfortran.h"
#include "ccfortran/G321Common.h"
#include "gsim-general/GsimGeneral.h"


////////////////
void
Uglast()
{
  if ( gcflag_.ISWIT[3-1] > 0 )
    std::cerr << "Uglast" << std::endl;

  // Print histograms and statistics
  GLAST();

  // Close HIGZ/GKS file
  if ( Display && !isGxsim ){ // Gxsim opens a display by itself.
    HPLEND();
    IGEND();
  }

}


