// -*- C++ -*-
//
// AdcModule.cc
//
//
//

#include <iostream>
#include "unpack/AdcModule.h"

//
AdcModule::AdcModule( int crate, int pa )
  : m_crate( crate ),
    m_pa( pa )
{
  //
  for( int i=0;i<MAX_ADC_CH;i++ )
    m_ch[i] = -1;
}

//
AdcModule::~AdcModule()
{
  //
}

//
void
AdcModule::show() const
{
  std::cout << "Crate#" << m_crate
            << " PA#" << m_pa
            << " ch=";
  for( int i=0;i<MAX_ADC_CH;i++ ){
    std::cout << " " << m_ch[i];
  }
  std::cout << std::endl;
}

//
std::ostream&
operator<<( std::ostream& out, const AdcModule& m )
{
  out << "Crate#" << m.m_crate
      << " PA#" << m.m_pa
      << " ch=";
  for( int i=0;i<MAX_ADC_CH;i++ ){
    out << " " << m.m_ch[i];
  }
  
  return( out );
}
